Bug 1082734 - Review Request: golang-github-godbus-dbus - Go client bindings for D-Bus
Summary: Review Request: golang-github-godbus-dbus - Go client bindings for D-Bus
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vincent Batts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-31 17:46 UTC by Lokesh Mandvekar
Modified: 2015-08-17 19:08 UTC (History)
4 users (show)

Fixed In Version: golang-github-godbus-dbus-2-0.3.git939230d.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-02 15:59:42 UTC
vbatts: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Lokesh Mandvekar 2014-03-31 17:46:16 UTC
Spec URL: http://lsm5.fedorapeople.org/golang-github-godbus-dbus/golang-github-godbus-dbus.spec
SRPM URL: http://lsm5.fedorapeople.org/golang-github-godbus-dbus/SRPMS/golang-github-godbus-dbus-0-0.1.gitcb98efb.fc21.src.rpm

Description:
Simple library that implements native Go client bindings for the
D-Bus message bus system.

Features include:
Complete native implementation of the D-Bus message protocol
Go-like API (channels for signals / asynchronous method calls, Goroutine-safe
connections)
Subpackages that help with the introspection / property interfaces.

Fedora Account System Username: lsm5

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=6693302

$ rpmlint golang-github-godbus-dbus.spec SRPMS/golang-github-godbus-dbus-0-0.1.gitcb98efb.fc21.src.rpm RPMS/noarch/golang-github-godbus-dbus-devel-0-0.1.gitcb98efb.fc21.noarch.rpm
golang-github-godbus-dbus.spec:46: W: setup-not-quiet
golang-github-godbus-dbus.src:46: W: setup-not-quiet
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

Comment 1 Peter Lemenkov 2014-04-01 08:45:46 UTC
Should this obsolete "golang-github-guelfey-godbus-devel" package?

Comment 2 Vincent Batts 2014-04-01 19:47:45 UTC
(In reply to Peter Lemenkov from comment #1)
> Should this obsolete "golang-github-guelfey-godbus-devel" package?

Somewhat, except that they are different import paths, and therefore do not _actually_ replace one another (despite one being a fork of the other).

Comment 3 Lokesh Mandvekar 2014-04-01 19:53:17 UTC
Awaiting confirmation here: https://github.com/guelfey/go.dbus/issues/51

But as Vincent said, since the import paths won't conflict, maybe the obsoleting part can wait until we have guelfey's reply.

Comment 4 Lokesh Mandvekar 2014-04-01 20:17:16 UTC
Alex Larsson replied that guelfey is a maintainer of godbus/dbus, so  golang-github-guelfey-godbus-devel probably won't be updated anymore.

Also, I'm not sure if we should obsolete it right away (in case some rpm is using it currently), or give it some time (perhaps expire it at some point in future)

Comment 5 Vincent Batts 2014-04-02 19:28:10 UTC
(In reply to Lokesh Mandvekar from comment #4)
> Alex Larsson replied that guelfey is a maintainer of godbus/dbus, so 
> golang-github-guelfey-godbus-devel probably won't be updated anymore.
> 
> Also, I'm not sure if we should obsolete it right away (in case some rpm is
> using it currently), or give it some time (perhaps expire it at some point
> in future)

welp, i'm not sure the best way to find all those dependencies, but i bet it is likely a small footprint.  i say we get this rpm published, and push updates for the rpms that are using the guelfey/dbus, to use this rpm instead, then we can deprecate the guelfey rpm. sound reasonable?

Comment 6 Vincent Batts 2014-04-02 19:29:48 UTC
Approved. This rpm aligns with the current golang packaging guidelines and we have an action item to clean out the other redundant rpm.

Comment 7 Lokesh Mandvekar 2014-04-02 19:34:07 UTC
New Package SCM Request
=======================
Package Name: golang-github-godbus-dbus 
Short Description: Go client bindings for D-Bus
Owners: lsm5
Branches: f19 f20 el6 epel7
InitialCC: golang-sig



---
golang-github-guelfey-godbus has been retired

Comment 8 Gwyn Ciesla 2014-04-02 19:50:30 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2014-04-03 17:14:17 UTC
golang-github-godbus-dbus-0-0.1.gitcb98efb.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-godbus-dbus-0-0.1.gitcb98efb.fc20

Comment 10 Fedora Update System 2014-04-03 21:02:45 UTC
golang-github-godbus-dbus-0-0.1.gitcb98efb.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-godbus-dbus-0-0.1.gitcb98efb.el6

Comment 11 Fedora Update System 2014-04-03 21:31:21 UTC
golang-github-godbus-dbus-0-0.1.gitcb98efb.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-github-godbus-dbus-0-0.1.gitcb98efb.fc19

Comment 12 Fedora Update System 2014-04-04 09:41:00 UTC
golang-github-godbus-dbus-0-0.1.gitcb98efb.fc20 has been pushed to the Fedora 20 testing repository.

Comment 13 Fedora Update System 2014-05-02 15:59:42 UTC
golang-github-godbus-dbus-0-0.1.gitcb98efb.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 14 Fedora Update System 2014-05-02 21:00:26 UTC
golang-github-godbus-dbus-0-0.1.gitcb98efb.fc19 has been pushed to the Fedora 19 stable repository.

Comment 15 Fedora Update System 2014-05-02 21:04:03 UTC
golang-github-godbus-dbus-0-0.1.gitcb98efb.fc20 has been pushed to the Fedora 20 stable repository.

Comment 16 Fedora Update System 2015-03-31 10:08:30 UTC
golang-github-godbus-dbus-2-0.1.git939230d.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/golang-github-godbus-dbus-2-0.1.git939230d.fc22

Comment 17 Fedora Update System 2015-03-31 10:10:02 UTC
golang-github-godbus-dbus-2-0.1.git939230d.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-godbus-dbus-2-0.1.git939230d.fc21

Comment 18 Fedora Update System 2015-03-31 10:10:35 UTC
golang-github-godbus-dbus-2-0.1.git939230d.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-godbus-dbus-2-0.1.git939230d.fc20

Comment 19 Fedora Update System 2015-03-31 10:10:54 UTC
golang-github-godbus-dbus-2-0.1.git939230d.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-godbus-dbus-2-0.1.git939230d.el6

Comment 20 Fedora Update System 2015-04-10 07:32:34 UTC
golang-github-godbus-dbus-2-0.1.git939230d.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2015-04-11 09:05:19 UTC
golang-github-godbus-dbus-2-0.1.git939230d.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2015-04-21 19:31:57 UTC
golang-github-godbus-dbus-2-0.1.git939230d.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2015-07-31 13:07:43 UTC
golang-github-godbus-dbus-2-0.3.git939230d.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-godbus-dbus-2-0.3.git939230d.el6

Comment 24 Fedora Update System 2015-08-17 19:08:11 UTC
golang-github-godbus-dbus-2-0.3.git939230d.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.